diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-login.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-login.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-login.php	2013-06-20 22:02:28.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-login.php	2013-07-23 02:27:56.000000000 -0500
***************
*** 65,71 ****
  	wp_admin_css( 'colors-fresh', true );
  
  	if ( wp_is_mobile() ) { ?>
! 		<meta name="viewport" content="width=320; initial-scale=0.9; maximum-scale=1.0; user-scalable=0;" /><?php
  	}
  
  	do_action( 'login_enqueue_scripts' );
--- 65,80 ----
  	wp_admin_css( 'colors-fresh', true );
  
  	if ( wp_is_mobile() ) { ?>
! 		<meta name="viewport" content="width=320, initial-scale=0.9, maximum-scale=1.0, user-scalable=0" /><?php
! 	}
! 
! 	// Remove all stored post data on logging out.
! 	// This could be added by add_action('login_head'...) like wp_shake_js()
! 	// but maybe better if it's not removable by plugins
! 	if ( 'loggedout' == $wp_error->get_error_code() ) {
! 		?>
! 		<script>if("sessionStorage" in window){try{for(var key in sessionStorage){if(key.indexOf("wp-autosave-")!=-1){sessionStorage.removeItem(key)}}}catch(e){}};</script>
! 		<?php
  	}
  
  	do_action( 'login_enqueue_scripts' );
***************
*** 82,97 ****
  	$login_header_url   = apply_filters( 'login_headerurl',   $login_header_url   );
  	$login_header_title = apply_filters( 'login_headertitle', $login_header_title );
  
- 	// Don't allow interim logins to navigate away from the page.
- 	if ( $interim_login )
- 		$login_header_url = '#';
- 
  	$classes = array( 'login-action-' . $action, 'wp-core-ui' );
  	if ( wp_is_mobile() )
  		$classes[] = 'mobile';
  	if ( is_rtl() )
  		$classes[] = 'rtl';
  	$classes = apply_filters( 'login_body_class', $classes, $action );
  	?>
  	</head>
  	<body class="login <?php echo esc_attr( implode( ' ', $classes ) ); ?>">
--- 91,113 ----
  	$login_header_url   = apply_filters( 'login_headerurl',   $login_header_url   );
  	$login_header_title = apply_filters( 'login_headertitle', $login_header_title );
  
  	$classes = array( 'login-action-' . $action, 'wp-core-ui' );
  	if ( wp_is_mobile() )
  		$classes[] = 'mobile';
  	if ( is_rtl() )
  		$classes[] = 'rtl';
+ 	if ( $interim_login ) {
+ 		$classes[] = 'interim-login';
+ 		?>
+ 		<style type="text/css">html{background-color: transparent;}</style>
+ 		<?php
+ 
+ 		if ( 'success' ===  $interim_login )
+ 			$classes[] = 'interim-login-success';
+ 	}
+ 
  	$classes = apply_filters( 'login_body_class', $classes, $action );
+ 
  	?>
  	</head>
  	<body class="login <?php echo esc_attr( implode( ' ', $classes ) ); ?>">
***************
*** 248,254 ****
  	$message = apply_filters('retrieve_password_message', $message, $key);
  
  	if ( $message && !wp_mail($user_email, $title, $message) )
! 		wp_die( __('The e-mail could not be sent.') . "<br />\n" . __('Possible reason: your host may have disabled the mail() function...') );
  
  	return true;
  }
--- 264,270 ----
  	$message = apply_filters('retrieve_password_message', $message, $key);
  
  	if ( $message && !wp_mail($user_email, $title, $message) )
! 		wp_die( __('The e-mail could not be sent.') . "<br />\n" . __('Possible reason: your host may have disabled the mail() function.') );
  
  	return true;
  }
***************
*** 338,344 ****
  	$user_pass = wp_generate_password( 12, false);
  	$user_id = wp_create_user( $sanitized_user_login, $user_pass, $user_email );
  	if ( ! $user_id ) {
! 		$errors->add( 'registerfail', sprintf( __( '<strong>ERROR</strong>: Couldn&#8217;t register you... please contact the <a href="mailto:%s">webmaster</a> !' ), get_option( 'admin_email' ) ) );
  		return $errors;
  	}
  
--- 354,360 ----
  	$user_pass = wp_generate_password( 12, false);
  	$user_id = wp_create_user( $sanitized_user_login, $user_pass, $user_email );
  	if ( ! $user_id ) {
! 		$errors->add( 'registerfail', sprintf( __( '<strong>ERROR</strong>: Couldn&#8217;t register you&hellip; please contact the <a href="mailto:%s">webmaster</a> !' ), get_option( 'admin_email' ) ) );
  		return $errors;
  	}
  
***************
*** 386,391 ****
--- 402,409 ----
  do_action( 'login_form_' . $action );
  
  $http_post = ('POST' == $_SERVER['REQUEST_METHOD']);
+ $interim_login = isset($_REQUEST['interim-login']);
+ 
  switch ($action) {
  
  case 'postpass' :
***************
*** 393,399 ****
  	$hasher = new PasswordHash( 8, true );
  
  	// 10 days
! 	setcookie( 'wp-postpass_' . COOKIEHASH, $hasher->HashPassword( stripslashes( $_POST['post_password'] ) ), time() + 10 * DAY_IN_SECONDS, COOKIEPATH );
  
  	wp_safe_redirect( wp_get_referer() );
  	exit();
--- 411,417 ----
  	$hasher = new PasswordHash( 8, true );
  
  	// 10 days
! 	setcookie( 'wp-postpass_' . COOKIEHASH, $hasher->HashPassword( wp_unslash( $_POST['post_password'] ) ), time() + 10 * DAY_IN_SECONDS, COOKIEPATH );
  
  	wp_safe_redirect( wp_get_referer() );
  	exit();
***************
*** 428,434 ****
  	do_action('lost_password');
  	login_header(__('Lost Password'), '<p class="message">' . __('Please enter your username or email address. You will receive a link to create a new password via email.') . '</p>', $errors);
  
! 	$user_login = isset($_POST['user_login']) ? stripslashes($_POST['user_login']) : '';
  
  ?>
  
--- 446,452 ----
  	do_action('lost_password');
  	login_header(__('Lost Password'), '<p class="message">' . __('Please enter your username or email address. You will receive a link to create a new password via email.') . '</p>', $errors);
  
! 	$user_login = isset($_POST['user_login']) ? wp_unslash($_POST['user_login']) : '';
  
  ?>
  
***************
*** 445,451 ****
  <p id="nav">
  <a href="<?php echo esc_url( wp_login_url() ); ?>"><?php _e('Log in') ?></a>
  <?php if ( get_option( 'users_can_register' ) ) : ?>
!  | <a href="<?php echo esc_url( site_url( 'wp-login.php?action=register', 'login' ) ); ?>"><?php _e( 'Register' ); ?></a>
  <?php endif; ?>
  </p>
  
--- 463,469 ----
  <p id="nav">
  <a href="<?php echo esc_url( wp_login_url() ); ?>"><?php _e('Log in') ?></a>
  <?php if ( get_option( 'users_can_register' ) ) : ?>
!  | <?php echo apply_filters( 'register', sprintf( '<a href="%s">%s</a>', esc_url( wp_registration_url() ), __( 'Register' ) ) ); ?>
  <?php endif; ?>
  </p>
  
***************
*** 482,488 ****
  	login_header(__('Reset Password'), '<p class="message reset-pass">' . __('Enter your new password below.') . '</p>', $errors );
  
  ?>
! <form name="resetpassform" id="resetpassform" action="<?php echo esc_url( site_url( 'wp-login.php?action=resetpass&key=' . urlencode( $_GET['key'] ) . '&login=' . urlencode( $_GET['login'] ), 'login_post' ) ); ?>" method="post">
  	<input type="hidden" id="user_login" value="<?php echo esc_attr( $_GET['login'] ); ?>" autocomplete="off" />
  
  	<p>
--- 500,506 ----
  	login_header(__('Reset Password'), '<p class="message reset-pass">' . __('Enter your new password below.') . '</p>', $errors );
  
  ?>
! <form name="resetpassform" id="resetpassform" action="<?php echo esc_url( site_url( 'wp-login.php?action=resetpass&key=' . urlencode( $_GET['key'] ) . '&login=' . urlencode( $_GET['login'] ), 'login_post' ) ); ?>" method="post" autocomplete="off">
  	<input type="hidden" id="user_login" value="<?php echo esc_attr( $_GET['login'] ); ?>" autocomplete="off" />
  
  	<p>
***************
*** 504,510 ****
  <p id="nav">
  <a href="<?php echo esc_url( wp_login_url() ); ?>"><?php _e( 'Log in' ); ?></a>
  <?php if ( get_option( 'users_can_register' ) ) : ?>
!  | <a href="<?php echo esc_url( site_url( 'wp-login.php?action=register', 'login' ) ); ?>"><?php _e( 'Register' ); ?></a>
  <?php endif; ?>
  </p>
  
--- 522,528 ----
  <p id="nav">
  <a href="<?php echo esc_url( wp_login_url() ); ?>"><?php _e( 'Log in' ); ?></a>
  <?php if ( get_option( 'users_can_register' ) ) : ?>
!  | <?php echo apply_filters( 'register', sprintf( '<a href="%s">%s</a>', esc_url( wp_registration_url() ), __( 'Register' ) ) ); ?>
  <?php endif; ?>
  </p>
  
***************
*** 544,554 ****
  <form name="registerform" id="registerform" action="<?php echo esc_url( site_url('wp-login.php?action=register', 'login_post') ); ?>" method="post">
  	<p>
  		<label for="user_login"><?php _e('Username') ?><br />
! 		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr(stripslashes($user_login)); ?>" size="20" /></label>
  	</p>
  	<p>
  		<label for="user_email"><?php _e('E-mail') ?><br />
! 		<input type="text" name="user_email" id="user_email" class="input" value="<?php echo esc_attr(stripslashes($user_email)); ?>" size="25" /></label>
  	</p>
  <?php do_action('register_form'); ?>
  	<p id="reg_passmail"><?php _e('A password will be e-mailed to you.') ?></p>
--- 562,572 ----
  <form name="registerform" id="registerform" action="<?php echo esc_url( site_url('wp-login.php?action=register', 'login_post') ); ?>" method="post">
  	<p>
  		<label for="user_login"><?php _e('Username') ?><br />
! 		<input type="text" name="user_login" id="user_login" class="input" value="<?php echo esc_attr(wp_unslash($user_login)); ?>" size="20" /></label>
  	</p>
  	<p>
  		<label for="user_email"><?php _e('E-mail') ?><br />
! 		<input type="text" name="user_email" id="user_email" class="input" value="<?php echo esc_attr(wp_unslash($user_email)); ?>" size="25" /></label>
  	</p>
  <?php do_action('register_form'); ?>
  	<p id="reg_passmail"><?php _e('A password will be e-mailed to you.') ?></p>
***************
*** 569,575 ****
  case 'login' :
  default:
  	$secure_cookie = '';
- 	$interim_login = isset($_REQUEST['interim-login']);
  	$customize_login = isset( $_REQUEST['customize-login'] );
  	if ( $customize_login )
  		wp_enqueue_script( 'customize-base' );
--- 587,592 ----
***************
*** 609,621 ****
  	if ( !is_wp_error($user) && !$reauth ) {
  		if ( $interim_login ) {
  			$message = '<p class="message">' . __('You have logged in successfully.') . '</p>';
  			login_header( '', $message ); ?>
- 
- 			<?php if ( ! $customize_login ) : ?>
- 			<script type="text/javascript">setTimeout( function(){window.close()}, 8000);</script>
- 			<p class="alignright">
- 			<input type="button" class="button-primary" value="<?php esc_attr_e('Close'); ?>" onclick="window.close()" /></p>
- 			<?php endif; ?>
  			</div>
  			<?php do_action( 'login_footer' ); ?>
  			<?php if ( $customize_login ) : ?>
--- 626,633 ----
  	if ( !is_wp_error($user) && !$reauth ) {
  		if ( $interim_login ) {
  			$message = '<p class="message">' . __('You have logged in successfully.') . '</p>';
+ 			$interim_login = 'success';
  			login_header( '', $message ); ?>
  			</div>
  			<?php do_action( 'login_footer' ); ?>
  			<?php if ( $customize_login ) : ?>
***************
*** 647,667 ****
  	if ( isset($_POST['testcookie']) && empty($_COOKIE[TEST_COOKIE]) )
  		$errors->add('test_cookie', __("<strong>ERROR</strong>: Cookies are blocked or not supported by your browser. You must <a href='http://www.google.com/cookies.html'>enable cookies</a> to use WordPress."));
  
! 	// Some parts of this script use the main login form to display a message
! 	if		( isset($_GET['loggedout']) && true == $_GET['loggedout'] )
! 		$errors->add('loggedout', __('You are now logged out.'), 'message');
! 	elseif	( isset($_GET['registration']) && 'disabled' == $_GET['registration'] )
! 		$errors->add('registerdisabled', __('User registration is currently not allowed.'));
! 	elseif	( isset($_GET['checkemail']) && 'confirm' == $_GET['checkemail'] )
! 		$errors->add('confirm', __('Check your e-mail for the confirmation link.'), 'message');
! 	elseif	( isset($_GET['checkemail']) && 'newpass' == $_GET['checkemail'] )
! 		$errors->add('newpass', __('Check your e-mail for your new password.'), 'message');
! 	elseif	( isset($_GET['checkemail']) && 'registered' == $_GET['checkemail'] )
! 		$errors->add('registered', __('Registration complete. Please check your e-mail.'), 'message');
! 	elseif	( $interim_login )
! 		$errors->add('expired', __('Your session has expired. Please log-in again.'), 'message');
! 	elseif ( strpos( $redirect_to, 'about.php?updated' ) )
! 		$errors->add('updated', __( '<strong>You have successfully updated WordPress!</strong> Please log back in to experience the awesomeness.' ), 'message' );
  
  	// Clear any stale cookies.
  	if ( $reauth )
--- 659,684 ----
  	if ( isset($_POST['testcookie']) && empty($_COOKIE[TEST_COOKIE]) )
  		$errors->add('test_cookie', __("<strong>ERROR</strong>: Cookies are blocked or not supported by your browser. You must <a href='http://www.google.com/cookies.html'>enable cookies</a> to use WordPress."));
  
! 	if ( $interim_login ) {
! 		if ( ! $errors->get_error_code() )
! 			$errors->add('expired', __('Session expired. Please log in again. You will not move away from this page.'), 'message');
! 	} else {
! 		// Some parts of this script use the main login form to display a message
! 		if		( isset($_GET['loggedout']) && true == $_GET['loggedout'] )
! 			$errors->add('loggedout', __('You are now logged out.'), 'message');
! 		elseif	( isset($_GET['registration']) && 'disabled' == $_GET['registration'] )
! 			$errors->add('registerdisabled', __('User registration is currently not allowed.'));
! 		elseif	( isset($_GET['checkemail']) && 'confirm' == $_GET['checkemail'] )
! 			$errors->add('confirm', __('Check your e-mail for the confirmation link.'), 'message');
! 		elseif	( isset($_GET['checkemail']) && 'newpass' == $_GET['checkemail'] )
! 			$errors->add('newpass', __('Check your e-mail for your new password.'), 'message');
! 		elseif	( isset($_GET['checkemail']) && 'registered' == $_GET['checkemail'] )
! 			$errors->add('registered', __('Registration complete. Please check your e-mail.'), 'message');
! 		elseif ( strpos( $redirect_to, 'about.php?updated' ) )
! 			$errors->add('updated', __( '<strong>You have successfully updated WordPress!</strong> Please log back in to experience the awesomeness.' ), 'message' );
! 	}
! 
! 	$errors = apply_filters( 'wp_login_errors', $errors, $redirect_to );
  
  	// Clear any stale cookies.
  	if ( $reauth )
***************
*** 670,676 ****
  	login_header(__('Log In'), '', $errors);
  
  	if ( isset($_POST['log']) )
! 		$user_login = ( 'incorrect_password' == $errors->get_error_code() || 'empty_password' == $errors->get_error_code() ) ? esc_attr(stripslashes($_POST['log'])) : '';
  	$rememberme = ! empty( $_POST['rememberme'] );
  ?>
  
--- 687,693 ----
  	login_header(__('Log In'), '', $errors);
  
  	if ( isset($_POST['log']) )
! 		$user_login = ( 'incorrect_password' == $errors->get_error_code() || 'empty_password' == $errors->get_error_code() ) ? esc_attr(wp_unslash($_POST['log'])) : '';
  	$rememberme = ! empty( $_POST['rememberme'] );
  ?>
  
***************
*** 699,712 ****
  	</p>
  </form>
  
! <?php if ( !$interim_login ) { ?>
  <p id="nav">
! <?php if ( isset($_GET['checkemail']) && in_array( $_GET['checkemail'], array('confirm', 'newpass') ) ) : ?>
! <?php elseif ( get_option('users_can_register') ) : ?>
! <a href="<?php echo esc_url( site_url( 'wp-login.php?action=register', 'login' ) ); ?>"><?php _e( 'Register' ); ?></a> |
! <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ); ?>"><?php _e( 'Lost your password?' ); ?></a>
! <?php else : ?>
! <a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ); ?>"><?php _e( 'Lost your password?' ); ?></a>
  <?php endif; ?>
  </p>
  <?php } ?>
--- 716,728 ----
  	</p>
  </form>
  
! <?php if ( ! $interim_login ) { ?>
  <p id="nav">
! <?php if ( ! isset( $_GET['checkemail'] ) || ! in_array( $_GET['checkemail'], array( 'confirm', 'newpass' ) ) ) : ?>
! 	<?php if ( get_option( 'users_can_register' ) ) : ?>
! 		<?php echo apply_filters( 'register', sprintf( '<a href="%s">%s</a>', esc_url( wp_registration_url() ), __( 'Register' ) ) ); ?> |
! 	<?php endif; ?>
! 	<a href="<?php echo esc_url( wp_lostpassword_url() ); ?>" title="<?php esc_attr_e( 'Password Lost and Found' ); ?>"><?php _e( 'Lost your password?' ); ?></a>
  <?php endif; ?>
  </p>
  <?php } ?>
***************
*** 735,740 ****
--- 751,767 ----
  wp_attempt_focus();
  <?php } ?>
  if(typeof wpOnload=='function')wpOnload();
+ <?php if ( $interim_login ) { ?>
+ (function(){
+ try {
+ 	var i, links = document.getElementsByTagName('a');
+ 	for ( i in links ) {
+ 		if ( links[i].href )
+ 			links[i].target = '_blank';
+ 	}
+ } catch(e){}
+ }());
+ <?php } ?>
  </script>
  
  <?php
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-mail.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-mail.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-mail.php	2012-09-25 00:26:19.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-mail.php	2013-03-03 15:11:40.000000000 -0600
***************
*** 202,208 ****
  	$post_category = array(get_option('default_email_category'));
  
  	$post_data = compact('post_content','post_title','post_date','post_date_gmt','post_author','post_category', 'post_status');
! 	$post_data = add_magic_quotes($post_data);
  
  	$post_ID = wp_insert_post($post_data);
  	if ( is_wp_error( $post_ID ) )
--- 202,208 ----
  	$post_category = array(get_option('default_email_category'));
  
  	$post_data = compact('post_content','post_title','post_date','post_date_gmt','post_author','post_category', 'post_status');
! 	$post_data = wp_slash($post_data);
  
  	$post_ID = wp_insert_post($post_data);
  	if ( is_wp_error( $post_ID ) )
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-settings.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-settings.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-settings.php	2012-11-22 03:52:16.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-settings.php	2013-02-21 15:24:34.000000000 -0600
***************
*** 23,29 ****
  require( ABSPATH . WPINC . '/version.php' );
  
  // Set initial default constants including WP_MEMORY_LIMIT, WP_MAX_MEMORY_LIMIT, WP_DEBUG, WP_CONTENT_DIR and WP_CACHE.
! wp_initial_constants( );
  
  // Check for the required PHP version and for the MySQL extension or a database drop-in.
  wp_check_php_mysql_versions();
--- 23,29 ----
  require( ABSPATH . WPINC . '/version.php' );
  
  // Set initial default constants including WP_MEMORY_LIMIT, WP_MAX_MEMORY_LIMIT, WP_DEBUG, WP_CONTENT_DIR and WP_CACHE.
! wp_initial_constants();
  
  // Check for the required PHP version and for the MySQL extension or a database drop-in.
  wp_check_php_mysql_versions();
***************
*** 117,122 ****
--- 117,124 ----
  require( ABSPATH . WPINC . '/author-template.php' );
  require( ABSPATH . WPINC . '/post.php' );
  require( ABSPATH . WPINC . '/post-template.php' );
+ require( ABSPATH . WPINC . '/revision.php' );
+ require( ABSPATH . WPINC . '/post-formats.php' );
  require( ABSPATH . WPINC . '/post-thumbnail-template.php' );
  require( ABSPATH . WPINC . '/category.php' );
  require( ABSPATH . WPINC . '/category-template.php' );
***************
*** 152,158 ****
  
  // Define constants that rely on the API to obtain the default value.
  // Define must-use plugin directory constants, which may be overridden in the sunrise.php drop-in.
! wp_plugin_directory_constants( );
  
  // Load must-use plugins.
  foreach ( wp_get_mu_plugins() as $mu_plugin ) {
--- 154,160 ----
  
  // Define constants that rely on the API to obtain the default value.
  // Define must-use plugin directory constants, which may be overridden in the sunrise.php drop-in.
! wp_plugin_directory_constants();
  
  // Load must-use plugins.
  foreach ( wp_get_mu_plugins() as $mu_plugin ) {
***************
*** 174,183 ****
  	ms_cookie_constants(  );
  
  // Define constants after multisite is loaded. Cookie-related constants may be overridden in ms_network_cookies().
! wp_cookie_constants( );
  
  // Define and enforce our SSL constants
! wp_ssl_constants( );
  
  // Create common globals.
  require( ABSPATH . WPINC . '/vars.php' );
--- 176,185 ----
  	ms_cookie_constants(  );
  
  // Define constants after multisite is loaded. Cookie-related constants may be overridden in ms_network_cookies().
! wp_cookie_constants();
  
  // Define and enforce our SSL constants
! wp_ssl_constants();
  
  // Create common globals.
  require( ABSPATH . WPINC . '/vars.php' );
***************
*** 209,215 ****
  do_action( 'plugins_loaded' );
  
  // Define constants which affect functionality if not already defined.
! wp_functionality_constants( );
  
  // Add magic quotes and set up $_REQUEST ( $_GET + $_POST )
  wp_magic_quotes();
--- 211,217 ----
  do_action( 'plugins_loaded' );
  
  // Define constants which affect functionality if not already defined.
! wp_functionality_constants();
  
  // Add magic quotes and set up $_REQUEST ( $_GET + $_POST )
  wp_magic_quotes();
